Skip to main content

InitiatePayment

POST 

/payments

Upon successful execution of this request, the payment status transitions to INITIATED.

The optional HTTP header Correlation-ID can be used to define a custom identifier that becomes part of the generated payment id.

The Correlation-ID must:

  • contain only the following characters: a-z, A-Z, 0-9, -, _
  • not exceed 41 characters in length
  • be unique per MID

After the payment has been created, the customer must be redirected to the auth_url returned in the response.

Once the customer authorizes the payment, the payment status transitions to AUTHORIZED, and the customer is redirected to the configured success_url.

In addition to the customer redirect, a server-to-server notification is sent to the configured notification_url.

Once the payment reaches the AUTHORIZED state, it can be captured to finalize the transaction.

Request

Responses

Payment created successfully